## org.apache.http.auth.params
Class AuthParamBean

    java.lang.Object
      org.apache.http.params.HttpAbstractParamBean
          org.apache.http.auth.params.AuthParamBean

    public class AuthParamBean

extends HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP authentication parameters using Java Beans conventions.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.params.HttpAbstractParamBean
`params`

Constructor Summary
`AuthParamBean(HttpParams params)`

Method Summary
`void` `setCredentialCharset(String charset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthParamBean

    public AuthParamBean(HttpParams params)

Method Detail

### setCredentialCharset

    public void setCredentialCharset(String charset)

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.